/*
 * Copyright 1994 Steve Passe
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose and without fee is hereby granted, provided
 * that the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation, and that the name of AUTHOR (Steve Passe)
 * are not be used in advertising or publicity pertaining to distribution of
 * the software without specific, written prior permission.  AUTHORS make no
 * representations about the suitability of this software for any purpose.
 * It is provided "as is" without express or implied warranty.
 *
 * AUTHORS DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL AUTHORS
 * BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION
 * OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN 
 * CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 * 1996 Revision
 * AUTHORS:     Steve Passe <smp@csn.net>
 */


static char rcsid[] = "$Id: fkm.c,v 1.2 1995/02/03 20:16:24 smp Exp smp $";


#include <stdio.h>

#include "focus.h"

int
main( int argc, char *argv[] )
{
    char*	kb;
    char*	ms;
    int		status;

    /* send commands */
    switch ( argc )
    {
    case 1:
	kb = "off"; ms = "off";
	break;
    case 2:
	kb = ms = argv[1];
	break;
    case 3:
	kb = argv[1]; ms = argv[2];
	break;
    default:
	fprintf( stderr, "bad args to fkm\n\n" );
	exit( 1 );
    }

    /* open the control port to the hardware */
    if ( focusOpen( NULL, FOCUS_PORT, FOCUS_BAUD, NULL ) != OK )
    {
	fprintf( stderr, "couldn't open focus port\n\n" );
	exit( 1 );
    }

    /* do it */
    if ( (status = focusNSet( kb, ms )) != OK )
    {
	fprintf( stderr, "fkm: couldn't set focus: %d\n\n", status );
	exit( 1 );
    }

    exit( 0 );
}
